Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.adjunct
Class ExistsAdjunct

    java.lang.Object
      com.saxonica.stream.adjunct.StreamingAdjunct
          com.saxonica.stream.adjunct.ExistsAdjunct

    public class ExistsAdjunct

extends StreamingAdjunct

Generate streaming code for an exists() function call

Constructor Summary
`ExistsAdjunct()`

Method Summary
`WatchMaker` | `getWatchMaker(Expression expression, List<String> reasonsForFailure)` Get a WatchMaker, a factory class that creates a Watch to evaluate this expression in streaming mode.

Methods inherited from class com.saxonica.stream.adjunct.StreamingAdjunct
`getConfiguration, getFeedMaker, makeStreamingAdjunct, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistsAdjunct

    public ExistsAdjunct()

Method Detail

### getWatchMaker

    public WatchMaker getWatchMaker(Expression expression,
                                    List<String> reasonsForFailure)

  Description copied from class: `StreamingAdjunct`
  Get a WatchMaker, a factory class that creates a Watch to evaluate this expression in streaming mode. This method will only be called if the getImplementationMethod() method of the expression includes the value `Expression.WATCH_METHOD`

  Overrides:
    `getWatchMaker` in class `StreamingAdjunct`
  Parameters:
    `expression` - the expression to be evaluated in streaming mode
    `reasonsForFailure` - if non-null, this is a list supplied by the caller which will be populated by the callee with one or more messages indicating why it was not possible to allocate a WatchMaker. Normally if the list is non-empty on return, the return value from the method will be null.
  Returns:
    a Watchmaker to evaluate the expression, or null if it is not streamable with respect to the specificed argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.